Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyAbstractableElementDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyAbstractableElementDoc (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isAbstract()`
    `` | `void` | `setAbstract(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

    `class SimpleGroovyDoc`

    `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyAbstractableElementDoc(String name)

  - ### Method Detail

    - #### public boolean isAbstract()

    - #### public void setAbstract(boolean b)